Name:    sugar-browse
Version: 149
Release: 1%{?dist}
Summary: Browse activity for Sugar
Group:   Sugar/Activities
License: GPLv2+
URL:     http://wiki.laptop.org/go/Browse
Source0: http://download.sugarlabs.org/sources/sucrose/fructose/Browse/Browse-%{version}.tar.bz2

BuildRequires: gobject-introspection-devel
BuildRequires: python-devel
BuildRequires: sugar-toolkit-gtk3
BuildRequires: webkitgtk3-devel
BuildRequires: gettext
Requires: sugar-toolkit-gtk3
Requires: webkitgtk3
Obsoletes: sugar-surf < %{version}

BuildArch: noarch

%description
A browser for the Sugar platform based on the WebKit web browser
engine. The browser was previously based on Xulrunner, Sugar version
<= 0.94.

%prep
%setup -q -n Browse-%{version}

%build
python ./setup.py build

%install
mkdir -p %{buildroot}/%{sugaractivitydir}
./setup.py install --prefix=%{buildroot}/%{_prefix}

%find_lang org.laptop.WebActivity

%files -f org.laptop.WebActivity.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{sugaractivitydir}/Browse.activity/


%changelog
* Mon Dec 10 2012 Peter Robinson <pbrobinson@fedoraproject.org> 149-1
- New 149 release

* Thu Nov 29 2012 Peter Robinson <pbrobinson@fedoraproject.org> 148-1
- New 148 release

* Wed Nov  23 2012 Manuel Quiñones <manuq@laptop.org> - 147-1
- New 147 release

* Wed Nov   7 2012 Manuel Quiñones <manuq@laptop.org> - 146-1
- New 146 release

* Thu Oct  25 2012 Manuel Quiñones <manuq@laptop.org> - 145-1
- New 145 release

* Tue Oct  16 2012 Manuel Quiñones <manuq@laptop.org> - 144-1
- New 144 release

* Fri Oct  12 2012 Manuel Quiñones <manuq@laptop.org> - 143-1
- New 143 release

* Fri Oct  5 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 142-1
- New 142 release

* Fri Sep 28 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 141-1
- New 141 release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 140-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Manuel Quiñones <manuq@laptop.org> - 140-1
- New 140 release

* Fri Jun 15 2012 Manuel Quiñones <manuq@laptop.org> - 139-1
- New 139 release

* Fri Jun  1 2012 Manuel Quiñones <manuq@laptop.org> - 138-1
- New 138 release

* Fri May  4 2012 Manuel Quiñones <manuq@laptop.org> - 137-1
- New 137 release

* Fri Apr 30 2012 Manuel Quiñones <manuq@laptop.org> - 136-1
- New 136 release

* Fri Apr 17 2012 Manuel Quiñones <manuq@laptop.org> - 135-1
- New 135 release

* Fri Apr  5 2012 Manuel Quiñones <manuq@laptop.org> - 134-1
- New 134 release

* Fri Mar 23 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 133-1
- New 133 release

* Fri Mar  2 2012 Manuel Quiñones <manuq@laptop.org> - 132-1
- New 132 release

* Tue Feb  7 2012 Manuel Quiñones <manuq@laptop.org> - 131-1
- New 131 release

* Sun Jan 22 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 130-3
- Obsolete sugar-surf

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 130-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan  2 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 130-1
- Release 130 using gtk3, gobject-introspection, webkitgtk3 and more

* Wed Dec 21 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 122-2
- Drop hulahop

* Sat May 28 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 122-1
- new 122 release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 120-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 120-2
- bump build

* Sun Oct 24 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 120-1
- new 120 release

* Fri Oct 15 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 119-1
- new 119 release

* Wed Sep 29 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 118-1
- new 118 release

* Thu Aug 05 2010 Sebastian Dziallas <sebastian@when.com> - 117-1
- new upstream release

* Tue Mar 20 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 115-1
- New upstream stable 115 release

* Fri Sep 11 2009 Simon Schampijer <simon@schampijer.de> - 112-2
- add gettext build requirement

* Fri Sep 11 2009 Simon Schampijer <simon@schampijer.de> - 112-1
- Able to download Data URIs #1029 (Lucian Branescu)
- Don't choke on Lang=C #979
- Object chooser remains shown after activity has been closed #1192
- Refine image and link right click palette #815 
- Toolbar redesign

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 108-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 06 2009 Simon Schampijer <simon@schampijer.de> - 108-1
- Browse hangs when trying to open file:/// #456

* Fri Apr 03 2009 Simon Schampijer <simon@schampijer.de> - 107-1
- Don't pick up the sugar theme #684
- Add a static welcome-page #645

* Wed Apr 01 2009 Simon Schampijer <simon@schampijer.de> - 106-1
- Fix Autocompletion and File upload #670
- Make sugarlabs.org the default homepage

* Tue Mar 03 2009 Simon Schampijer <simon@schampijer.de> - 105-1
- New translations

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 104-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Simon Schampijer <simon@schampijer.de> - 104-4
- rebuild 

* Mon Feb 23 2009 Simon Schampijer <simon@schampijer.de> - 104-3
- rebuild because of corrupted bundle

* Mon Feb 23 2009 Simon Schampijer <simon@schampijer.de> - 104-2
- correct source url

* Mon Feb 23 2009 Simon Schampijer <simon@schampijer.de> - 104-1
- Create a HTTP Cookie to authenticate with the Schoolserver (Martin Langhoff)
- Deprecation fix: Use bundle_id instead od service_name
- Set intl.accept_languages based on the locale (Daniel Drake)
- New Translations 

* Fri Jan 30 2009 Simon Schampijer <simon@schampijer.de> - 103-5
- new download url

* Fri Jan 30 2009 Simon Schampijer <simon@schampijer.de> - 103-4
- cope for removed NEWS file from sources

* Fri Jan 30 2009 Simon Schampijer <simon@schampijer.de> - 103-3
- rebuild

* Tue Jan 20 2009 Marco Pesenti Gritti <mpg@redhat.com> - 103-2
- use cjson instead of json (nirbheek)
- new translations 

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 99-2
- Rebuild for Python 2.6

* Sat Oct 11 2008 Simon Schampijer <simon@laptop.org> - 99-1
- Initial packaging
